from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComNurseAssrt(UltmarcTable):
    """レイアウト区分023: COM_看護種別"""
    nurse_assrt_cd: str     # 看護種別コード
    nurse_assrt_name: str   # 看護種別名
    maint_flag: str         # 修正区分

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.nurse_assrt_cd = record[1]
        self.nurse_assrt_name = record[5]
        self.maint_flag = record[2]
